import request from '@/utils/request'

// 查询任务结点中间表列表
export function listMiddle(query) {
  return request({
    url: '/quest/middle/list',
    method: 'get',
    params: query
  })
}

// 查询任务结点中间表详细
export function getMiddle(id) {
  return request({
    url: '/quest/middle/' + id,
    method: 'get'
  })
}

// 新增任务结点中间表
export function addMiddle(data) {
  return request({
    url: '/quest/middle',
    method: 'post',
    data: data
  })
}

// 修改任务结点中间表
export function updateMiddle(data) {
  return request({
    url: '/quest/middle',
    method: 'put',
    data: data
  })
}

// 删除任务结点中间表
export function delMiddle(id) {
  return request({
    url: '/quest/middle/' + id,
    method: 'delete'
  })
}
